/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}


       /*-------------------------------------
       VARIABLES FOR QUICK RECURENT CHANGES
       -------------------------------------*/
:root {
   /* color variables
-------------------------------------------------- */
    --color-bg-main:                hsl(0, 0%, 14%);
    --color-bg-second:              hsl(0, 0%, 23%);
    --color-bg-second_trans:        hsla(0, 0%, 23%, 0.52);
    --color-bg-extra-main:          hsl(0, 0%, 92%);
    --color-bg-extra-second:        hsl(0, 0%, 69%);
    --color-bg-extra-second_trans:  hsla(0, 0%, 69%, 0.52);
    --color-text-main:              hsl(0, 0%, 92%);
    --color-text-second:            hsl(0, 0%, 69%);
    --color-text-extra-main:        hsl(0, 0%, 14%);
    --color-text-extra-second:      hsl(0, 0%, 23%);
    --color-link-main:              hsl(34, 90%, 51%);
    --color-link-second:            hsl(42, 90%, 51%);
    --color-link-hover:             hsl(27, 90%, 51%);
    --color-link-extra-main:        hsl(217, 90%, 51%);
    --color-link-extra-second:      hsl(225, 90%, 51%);
    --color-link-extra-hover:       hsl(210, 90%, 51%);
    --color-button-text:            hsl(0, 0%, 92%);
    --color-logo:                     invert(100%);
    --color-logo-extra:               none;

   /* dimensions variables
-------------------------------------------------- */
    --size-nav-h: 12vh;
    --size-nav-w: 100%;
    --size-nav-padding-h: 0.5rem;
    --size-nav-padding-w: 20px;
    --size-nav-margin-h: 0;
    --size-nav-margin-w: 0;
    --size-nav-logo-h: 0;
    --size-nav-logo-w: 0;
    --size-nav-element-text:0;
    --size-nav-button-h:0;
    --size-nav-button-w:0;
    --size-nav-button-roundness: 0;

    --size-footer-h: 60px;
    --size-footer-w: 100%;
    --size-footer-element-text:0;

    --size-container-main-w: 80vw;
    --size-container-padding-h: 18px;
    --size-container-padding-w: 18px;
    --size-container-margin-h: 12px;
    --size-container-margin-w: auto;
    /*size-container-main-min-h: to leave place for footer and still take all the possible place  on empty pages, full pages, small devices and big devices, 100% homemade ;) 
    height = 100vh - navH - footerH - (2*marginH) - posFooter - cutterH 
    no matter what we changes, "container-centered" will do his job */
    --size-container-main-min-h: calc(100vh - var(--size-nav-h) - var(--size-footer-h) - calc(var(--size-container-margin-h) * 2) - 22px - 4px); 
    --size-container-roundness: calc(0.1 * var(--size-container-main-min-h));
    --size-container-overflow-type: hidden;

    /* positions variables
-------------------------------------------------- */
    --pos-footer-type: absolute;
    --pos-footer-botom: 0px;
}


         /*-------------------------------------
         LAYOUT DISPLAY BLOCK
         -------------------------------------*/

     /* basic clean settings
-------------------------------------------------- */
  html,body {
      position: relative;
      min-height: 100vh;
      max-width:100vw;
      margin: 0;
      padding: 0;

      /*  colors */
      background-color: var(--color-bg-main) !important ;
      color: var(--color-text-main) !important;
  }

  a {
    color: var(--color-link-main) !important;
  }

     /*  logo style
  -------------------------------------------------- */
  .navbar-brand {
    min-width: 120px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
  }
  #logo-website {
    height: 30px;
    width: 30px;
    margin: 0;
    background-image: url(../logo.png);
    background-repeat:no-repeat;
    background-size:contain;
    filter: var(--color-logo);
    -webkit-filter: var(--color-logo);
  }


     /* classic navbar not eavily modified
  -------------------------------------------------- */
  .navbar {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    min-height: var(--size-nav-h);
    padding: var(--size-nav-padding-h) var(--size-nav-padding-w) var(--size-nav-padding-h) var(--size-nav-padding-w);
    
    width: 100vw;

    /* to help force full screen display */
    margin-bottom: 0 !important;
  
  }
  .navbar-custom {
    /*  colors */
    background-color: var(--color-bg-second) !important ;
    color: var(--color-text-main) !important;
  }
  .nav-a{
    color: var(--color-link-main) !important;
  }
  .lightThemeSwitch {
  }
  #LightThemeDiv {
    display: flex;
    min-width: 60px;
    vertical-align: middle;
    margin: auto 20%;
    margin-right: 2%;
  }

/*  SOURCE : https://stackoverflow.com/questions/24322599/why-cannot-change-checkbox-color-whatever-i-do*/
  /* SLIDE THREE */
  #slideThree {
    display: none;
  }

  .slideThreeIcon {
    margin: auto;
    margin-right: 10px !important;
  }
  .slideThree {
    width: 80px;
    height: 26px;
    background: var(--color-bg-main);
    margin: 10px auto 10px 10px;

    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    border-radius: 50px;
    position: relative;

    -webkit-box-shadow: inset 0px 1px 1px rgba(0,0,0,0.5), 0px 1px 0px rgba(255,255,255,0.2);
    -moz-box-shadow: inset 0px 1px 1px rgba(0,0,0,0.5), 0px 1px 0px rgba(255,255,255,0.2);
    box-shadow: inset 0px 1px 1px rgba(0,0,0,0.5), 0px 1px 0px rgba(255,255,255,0.2);
  }

  .slideThree:after {
    content: 'OFF';
    font: 12px/26px Arial, sans-serif;
    color: var(--color-text-main);
    position: absolute;
    right: 10px;
    z-index: 0;
    font-weight: bold;
    text-shadow: 1px 1px 0px rgba(255,255,255,.15);
  }

  .slideThree:before {
    content: 'ON';
    font: 12px/26px Arial, sans-serif;
    color: #00bf00;
    position: absolute;
    left: 10px;
    z-index: 0;
    font-weight: bold;
  }

  .slideThree label {
    display: block;
    width: 34px;
    height: 20px;

    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    border-radius: 50px;

    -webkit-transition: all .4s ease;
    -moz-transition: all .4s ease;
    -o-transition: all .4s ease;
    -ms-transition: all .4s ease;
    transition: all .4s ease;
    cursor: pointer;
    position: absolute;
    top: 3px;
    left: 3px;
    z-index: 1;

    -webkit-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.3);
    -moz-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.3);
    box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.3);
    background: #fcfff4;

    background: -webkit-linear-gradient(top, #fcfff4 0%, #dfe5d7 40%, #b3bead 100%);
    background: -moz-linear-gradient(top, #fcfff4 0%, #dfe5d7 40%, #b3bead 100%);
    background: -o-linear-gradient(top, #fcfff4 0%, #dfe5d7 40%, #b3bead 100%);
    background: -ms-linear-gradient(top, #fcfff4 0%, #dfe5d7 40%, #b3bead 100%);
    background: linear-gradient(top, #fcfff4 0%, #dfe5d7 40%, #b3bead 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fcfff4', endColorstr='#b3bead',GradientType=0 );
  }

  .slideThree input[type=checkbox]:checked + label {
    left: 43px;
  }


  .navbar-custom-flex {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-evenly;
  }

     /*  cutter to force display after container (needed because of sticky footer)
  -------------------------------------------------- */
  hr.cutter {
      margin: 0 !important;
      /* border: solid rgba(0, 0, 0, .00001) 1px;  /* important to fix the footer */
      clear: both;
      height: 2px !important;
  }

     /* container div CSS
  -------------------------------------------------- */
  .container-centered {
    min-height: var(--size-container-main-min-h);
    width: var(--size-container-main-w);

    margin: var(--size-container-margin-h) var(--size-container-margin-w);
    margin-bottom: calc(var(--size-footer-h) + var(--size-container-margin-h));  /* to leave room for footer */
    padding: var(--size-container-padding-h) var(--size-container-padding-w);
    
    overflow: var(--size-container-overflow-type);

    border-radius: var(--size-container-roundness);
    /*border: double red 1px; /* debug */
    text-align: center;
  
    /*  colors */
    background-color: var(--color-bg-second_trans) !important ;
    color: var(--color-text-main) !important;

    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: center;
  }
  @media (max-width: 1366px) {
    .container-centered {
      width: 90%;
      max-width: 100vw;
      margin: auto;
      margin-bottom: calc(var(--size-footer-h) + var(--size-container-margin-h));  /* to leave room for footer */
  
    }
  }
  @media (max-width: 768px) {
    .container-centered {
      width: 100%;
      margin: 0;
      margin-bottom: calc(var(--size-footer-h) + var(--size-container-margin-h));  /* to leave room for footer */
  
    }
  }

     /* Sticky footer styles
  -------------------------------------------------- */
  .footer {
      position: var(--pos-footer-type);
      bottom: var(--pos-footer-botom);
  
      width: var(--size-footer-w);
      min-height: var(--size-footer-h);
  
      white-space: nowrap;
      line-height: 60px; /* Vertically center the text there */
      margin: 0 !important;
    }
  .footer>.container-footer {
    width: 100vw;
    margin: 0;
    padding: 0px 25vw;
    text-align: center;
    /*  colors */
    background-color: var(--color-bg-second) ;
  }

  #colored-button, .colored-buttons, a.colored-buttons {
    background-color: var(--color-link-main) !important;
    border-color: var(--color-link-second) !important;
    color: var(--color-button-text) !important;
    font-weight: bold !important;
  }

  .not-a-link, .not-a-link:focus, .not-a-link:any-link, .not-a-link:active {
    color: var(--color-text-main) !important;
    text-decoration: none;
  }

  .white-text {
    color: var(--color-button-text) !important;
  }
  .percent-size-full {
    width: 100%;
    height: 100%;
  }

  .popover-header {
    color: var(--color-text-main)!important;
    background-color: var(--color-bg-second)!important;
  }
  .popover-body {
    background-color: var(--color-bg-main)!important;
    color: var(--color-text-second)!important;
  }

  #main-render-zone {
    width: 100%;
    height: 100%;
  }

   /* form colors !!!!!!!!!
-------------------------------------------------- */
textarea.form-control:focus, input[type="text"]:focus, input[type="password"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="date"]:focus, input[type="month"]:focus, input[type="time"]:focus, input[type="week"]:focus, input[type="number"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="search"]:focus, input[type="tel"]:focus, input[type="color"]:focus, .uneditable-input:focus {
    border-color: var(--color-link-second);
    box-shadow:  0 0 0 0.10rem var(--color-link-main);
    outline: none;
}
.btn:focus, .colored-buttons:focus, input[type="button"]:focus, input[type="submit"]:focus, .btn.focus {
    border-color: var(--color-link-second);
    box-shadow: 0 0 0 0.10rem var(--color-link-main);
    outline: none;
}

.colored-checkbox, .colored-radio {
  accent-color: var(--color-link-main);
}
input.colored-date-picker {
  accent-color: var(--color-link-main);
}
/*
input[type="checkbox"]:focus {
  background-color: var(--color-link-main);
}

input:checked {
  color: white !important;
  background-color: orange !important;
}

textarea:focus, input:focus {
  background-color: var(--color-bg-second);
  color: var(--color-link-main);
}

input, select, textarea{
  background-color: var(--color-bg-second);
  color: var(--color-link-second);
}

This doesn't change anithing
Chrome, firefox and others don't allow us to change styles using CSS

need to find a solution to work properly
 */


         /*-------------------------------------
         SPECIFIQUE DISPLAY BLOCK
         -------------------------------------*/

     /* register, login, forgot password style
  -------------------------------------------------- */
.custom-register-form {
  width: 70vw;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
}
.custom-flex-register {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
}
.custom-flex-register-form-elemets {
  display: flex;
  justify-content: center;
  align-content: space-evenly;
  padding: 0px 60px;

  text-align: left;
}
@media (max-width: 768px) {
  .custom-flex-register-form-elemets {
    display: flex;
    justify-content: center;
    flex-wrap: nowrap;
    flex-direction: column;
    padding: 0px 20px;

    text-align: center;
  }
}
.custom-form-control {
  max-width: 50vh;
}
@media (max-width: 768px) {
  .custom-form-control {
    max-width: 100%;
  }
}
.custom-form-control-label {
  min-width: 30vh;
  padding: 5px;
}
.custom-flex-row {
  justify-content: center;
}

.hr-register {
  width: 100%;
  margin: 10px auto;
}

     /* table lists (created/attended) style
  -------------------------------------------------- */

  .table-darkened {
    --bs-table-bg: var(--color-bg-main);
    --bs-table-striped-bg: var(--color-bg-second);
    --bs-table-striped-color: var(--color-text-main);
    --bs-table-active-bg: var(--color-bg-second_trans);
    --bs-table-active-color: var(--color-bg-second);
    --bs-table-hover-bg: var(--color-bg-second_trans);
    --bs-table-hover-color: var(--color-bg-second);
    color: var(--color-bg-second);
  }
  #thead-edit-link, #thead-finish-link, #thead-consult-link, #thead-share-link {
    max-width: 46px;
    width: 46px;
  }
  .table td.thead-edit-link, td.thead-finish-link, td.thead-consult-link, td.thead-share-link {
    vertical-align: middle !important;
  }
  td>.colored-buttons {
    max-width: 40px;
    width: 40px;
    min-height: 40px;
    padding: 0;
    border: none;
    margin: 2px;
    display: block;
  }
  .percent-size-full {
    max-width: 40px;
    width: 40px;
    min-height: 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  .thead-edit-link, .thead-finish-link, .thead-consult-link, .thead-share-link {
    padding: 0 !important;
  }
  @media (max-width: 768px) {
    td>.colored-buttons {
      min-width: 28px;
      min-height: 28px;
      height: 28px;
      width: 28px;
      margin: auto;
    }
    #thead-edit-link, #thead-finish-link, #thead-consult-link, #thead-share-link, .thead-edit-link, .thead-finish-link, .thead-consult-link, .thead-share-link{
      max-width: 36px;
      min-height: 36px;
      width: 36px;
    }
    td.thead-edit-link, td.thead-finish-link, td.thead-consult-link, td.thead-share-link {
      padding: auto !important;
      /* padding-top: 2px !important; */
    }
    .percent-size-full {
      min-width: 30px;
      min-height: 30px;
      height: 30px;
      width: 30px;
    }
  }
  @media (min-width: 1366px) {
    td.thead-edit-link, td.thead-finish-link, td.thead-consult-link, .thead-share-link {
      padding: 5px !important;
    }
    #thead-edit-link, #thead-finish-link, #thead-consult-link, #thead-share-link, .thead-edit-link, .thead-finish-link, .thead-consult-link, .thead-share-link{
      max-width: 55px;
      min-height: 55px;
      width: 55px;
    }
  }
     /* popover style
  -------------------------------------------------- */
div.popover>h3.popover-header {
  color: var(--color-bg-main);
}
     /* finish modal style
  -------------------------------------------------- */
#finish-modal {
  background-color: var(--color-bg-second);
  color: var(--color-text-main);
}
.modal-content {
  border-radius: 20px !important;
}
.modal-header {
  background-color: var(--color-bg-second);
  color: var(--color-text-main);
  border-bottom: none !important;
}
.close-modal-btn {
  color: var(--color-text-main) !important;
  background-color: transparent !important;
  border-radius:4px;
}
.modal-body {
  background-color: var(--color-bg-main);
  color: var(--color-text-main);
}
.modal-footer {
  background-color: var(--color-bg-second);
  color: var(--color-text-main);
  border-top: none !important;
}


     /* invite to join poll by mail
-------------------------------------------------- */
i.i-colored {
  color: var(--color-link-main);
}
.add-mail-div {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.add-mail-i-div {
  text-align: center;
  padding: 0;
  width: 38px;
  height: 38px;
}
.add-mail-i {
  margin-left: 20px;
}
.add-mail-input {
  max-width: 80%;
}


     /* drag and drop input style
  -------------------------------------------------- */
  #questionDiv {
    margin-bottom: 20px;
  }
  .form-breaker{
    width: 50%;
    margin: 10px 25%;
  }
  #answerDiv {
    padding-top: 5px;
  }

  #dateDiv {
    width: 40%;
    margin: auto;
  }
  @media (max-width: 1366px) {
      #dateDiv {
        width: 60%;
      }
  }
  
  .email-input-div {
    padding: 10px;
    margin: 5px;
    background-color: var(--color-bg-second);
    border-radius: 10px;
    display: flex;
    flex-direction: row-reverse;
  }
  .answer-input-div {
    padding: 10px;
    margin: 5px;
    background-color: var(--color-bg-main);
    border-radius: 10px;
    display: flex;
    flex-direction: row-reverse;
  }
  .answerInput {
  }
  .close-button {
    margin: 5px;
    margin-left: 15px;
  }

  /* ANSWER TO POLL */
  .answer-checkbox, .answer-radio {
    min-width: 18px;
    min-height: 18px;
    margin: auto 10px;
  }

  .reponse-custom-div{
    background-color: var(--color-bg-second);
    margin: 10px;
    padding: 5px;
    border-radius: 10px;
    display: flex;
  }
  .reponse-custom-div>span {
    overflow-wrap: break-word;
    overflow: hidden;
  }
  .reponse-total-div{
    border-radius: 10px;
    background-color: var(--color-bg-main);
    padding: 5px 0;
    margin: 10px;
  }

       /* drag and drop input style
  -------------------------------------------------- */
  .result-main-div {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }
  @media (max-width: 1024px) {
    .result-main-div {
      flex-direction: column;
      justify-content: center;
      align-content: center;
    }
  }
  .result-graph-option-div {
    min-width: 300px;
    min-height: 30px;
    border: solid 1px var(--color-link-main);
    margin: 5px 20px;
  }
  @media(max-width: 1024px) {
    .result-graph-option-div {
      max-width: 300px;
      margin: 5px auto;
    }
  }
  .result-graph-div {
    min-width: 300px;
    min-height: 300px;
    max-width: 300px;
    max-height: 300px;
    /* border: solid 1px var(--color-link-main); */
    margin: 10px;
  }
  @media (max-width: 1024px) {
    .result-graph-div {
      margin: auto;
    }
  }

  .form-breaker-vertical-responsif {
    border: solid 1px var(--color-link-main);
  }
  @media (max-width: 1220px) {
    .form-breaker-vertical-responsif {
      height: 0;
      width: 75%;
      margin: 15px auto;
    }
  }
  @media (min-width: 1220px) {
    .form-breaker-vertical-responsif {
      height: 300px;
      width: 0;
      margin: 20px 5px;
    }
  }
  .result-answer-div {
    min-width: 300px;
    min-height: 355px;
    max-width: 100%;
    margin: 5px 10px;
    max-width: calc(100% - 500px);
  }
  @media (min-width: 1024px) {
    .result-answer-div {
      min-width: 700px;
      margin: 5px;
    }
  }
  @media (max-width: 1024px) {
    .result-answer-div {
      min-width: 100%;
      margin: 5px auto;
    }
  }
  

    .do-not-overflow-plz {
      overflow-wrap: break-word;
    }

    .result-custom-container {
      margin: 5px;
    }
    .anser-category {
      margin: 15px;
      
    }
    .result-label {
      margin: 5px;
      border: solid orange 1px;
      border-radius: 10px;
      min-height: 30px;
      background-color: var(--color-bg-main);
    }
    .result-percent-container {
      display: flex;
      margin: 5px;
      border-radius: 10px;
      background-color: var(--color-bg-main);
    }
    .result-100-percent {
      min-width: calc(100% - 100px);
      padding-right: 15px;
    }
    .result-percent {
      margin: 8px;
      border-radius: 10px;
      min-height: 30px;
      background-image: linear-gradient(45deg, var(--color-link-main) 29%,
      var(--color-bg-second) 30%,
      var(--color-bg-second) 56%,
      var(--color-link-main) 51%,
      var(--color-link-main) 75%,
      var(--color-bg-second) 7%,
      var(--color-bg-second));
      background-size: 25px 30px;
    }
    .result-percent-text {
      background-color: var(--color-bg-second);
      min-width: 90px;
      padding: 2px;
      margin: 5px 5px;
      border-radius: 5px;
      text-align: center;
    }



    #expirationDateLabel {
      padding: 10px;
    }
    .modif-div {
      border-radius: 10px;
      background-color: var(--color-bg-main);
      margin: 10px;
      padding: 5px;
      text-align: center;
      vertical-align: middle;
    }